jQuery.fn.exists = function(callback) {
  var args = [].slice.call(arguments, 1);
  if (this.length) {
    callback.call(this, args);
  }
  return this;
};

/*! .isOnScreen() returns bool */
jQuery.fn.isOnScreen = function(){

    var win = jQuery(window);

    var viewport = {
        top : win.scrollTop(),
        left : win.scrollLeft()
    };
    viewport.right = viewport.left + win.width();
    viewport.bottom = viewport.top + win.height();

    var bounds = this.offset();
    bounds.right = bounds.left + this.outerWidth();
    bounds.bottom = bounds.top + this.outerHeight();

    return (!(viewport.right < bounds.left || viewport.left > bounds.right || viewport.bottom < bounds.top || viewport.top > bounds.bottom));

};

/*----------------------------------------------------
/* Show/hide Scroll to top
/*--------------------------------------------------*/
jQuery(document).ready(function($) {
	//move-to-top arrow
	jQuery("body").prepend("<a id='move-to-top' class='animate ' href='#blog'><i class='fa fa-angle-up'></i></a>");

	if(navigator.userAgent.match(/opera/i)){
		scrollDes = 'html';
	}
	jQuery(window).scroll(function () {
		if (jQuery(this).scrollTop() > 160) {
			jQuery('#move-to-top').addClass('filling').removeClass('hiding');
		} else {
			jQuery('#move-to-top').removeClass('filling').addClass('hiding');
		}
	});
});

/*---------------------------------------------------
/*  Vertical menus toggles
/* -------------------------------------------------*/
jQuery(document).ready(function ($) {

  $('.widget_nav_menu, .navigation .menu').addClass('toggle-menu');
  $('.toggle-menu ul.sub-menu, .toggle-menu ul.children').addClass('toggle-submenu');
  $('.toggle-menu ul.sub-menu').parent().addClass('toggle-menu-item-parent');

  $('.toggle-menu .toggle-menu-item-parent').append('<span class="toggle-caret"><i class="fa fa-plus"></i></span>');

  $('.toggle-caret').click(function(e) {
    e.preventDefault();
    $(this).parent().toggleClass('active').children('.toggle-submenu').slideToggle('fast');
  });
});


/*----------------------------------------------------
/* Make all anchor links smooth scrolling
/*--------------------------------------------------*/
jQuery(document).ready(function($) {
 // scroll handler
  var scrollToAnchor = function( id, event ) {
    // grab the element to scroll to based on the name
    var elem = $("a[name='"+ id +"']");
    // if that didn't work, look for an element with our ID
    if ( typeof( elem.offset() ) === "undefined" ) {
      elem = $("#"+id);
    }
    // if the destination element exists
    if ( typeof( elem.offset() ) !== "undefined" ) {
      // cancel default event propagation
      event.preventDefault();

      // do the scroll
      var scroll_to = elem.offset().top;
      $('html, body').animate({
              scrollTop: scroll_to
      }, 600, 'swing', function() { if (scroll_to > 46) window.location.hash = id; } );
    }
  };
  // bind to click event
  $("a").click(function( event ) {
    // only do this if it's an anchor link
    var href = $(this).attr("href");
    if ( typeof href == 'string' && href.match("#") && href !== '#' ) {
      // scroll to the location
      var parts = href.split('#'),
        url = parts[0],
        target = parts[1];
      if ((!url || url == window.location.href.split('#')[0]) && target)
        scrollToAnchor( target, event );
    }
  });
});
/*----------------------------------------------------
/* Responsive Navigation
/*--------------------------------------------------*/
if (mts_customscript.responsive && mts_customscript.nav_menu != 'none') {
  jQuery(document).ready(function ($) {
    $('.secondary-navigation').append('<div id="mobile-menu-overlay" />');
    // merge if two menus exist
    if (mts_customscript.nav_menu == 'both' && !$('.navigation.mobile-only').length) {
      $('.navigation').not('.mobile-menu-wrapper').find('.menu').clone().appendTo('.mobile-menu-wrapper').hide();
    }
    $('nav').find('.header-social-icons').clone().appendTo('.mobile-menu-wrapper').hide();
    $('nav').find('.mts-cart').clone().appendTo('.mobile-menu-wrapper').hide();

    $('.toggle-mobile-menu').click(function (e) {
      e.preventDefault();
      e.stopPropagation();
      $('body').toggleClass('mobile-menu-active');

      if ($('body').hasClass('mobile-menu-active')) {
        if ($(document).height() > $(window).height()) {
          var scrollTop = ($('html').scrollTop()) ? $('html').scrollTop() : $('body').scrollTop();
          $('html').addClass('noscroll').css('top', -scrollTop);
        }
        $('#mobile-menu-overlay').fadeIn();
      } else {
        var scrollTop = parseInt($('html').css('top'));
        $('html').removeClass('noscroll');
        $('html,body').scrollTop(-scrollTop);
        $('#mobile-menu-overlay').fadeOut();
      }
    });
  }).on('click', function (event) {

    var $target = jQuery(event.target);
    if (($target.hasClass("fa") && $target.parent().hasClass("toggle-caret")) || $target.hasClass("toggle-caret") ) {// allow clicking on menu toggles
      return;
    }
    jQuery('body').removeClass('mobile-menu-active');
    jQuery('html').removeClass('noscroll');
    jQuery('#mobile-menu-overlay').fadeOut();
  });
}
/*----------------------------------------------------
/*  Dropdown menu
/* ------------------------------------------------- */
jQuery(document).ready(function ($) {
  let $pullToggle = $('#pull');
  function mtsDropdownMenu() {
    if (!$pullToggle.is(':visible')) {
      let timer;
      let delay = 100;
      $('#navigation li').hover(function (e) {
        if (e.type === 'mouseenter') {
          e.preventDefault();
          let $this = $(this);
          timer = setTimeout(function () {
            $this.children('ul.sub-menu, ul.children').slideDown('fast');
          }, delay);
        }
        else if (e.type === 'mouseleave') {
          e.preventDefault();
          $(this).children('ul.sub-menu, ul.children').hide(1);
          clearTimeout(timer);
        }
      });

    } else {
      $('#navigation li').unbind('mouseenter mouseleave');
      //$('#navigation li.active > ul.sub-menu, #navigation li.active > ul.children').show();
    }
  }

  mtsDropdownMenu();

  $(window).resize(function () {
    mtsDropdownMenu();
  });
});

/*----------------------------------------------------
/* Social button scripts
/*---------------------------------------------------*/
jQuery(document).ready(function($){
	(function(d, s) {
	  var js, fjs = d.getElementsByTagName(s)[0], load = function(url, id) {
		if (d.getElementById(id)) {return;}
		js = d.createElement(s); js.src = url; js.id = id;
		fjs.parentNode.insertBefore(js, fjs);
	  };
  jQuery('span.facebookbtn, span.facebooksharebtn, .facebook_like').exists(function () {
    load('//connect.facebook.net/en_US/all.js#xfbml=1&version=v2.8', 'fbjssdk');
	});
	jQuery('span.twitterbtn').exists(function() {
	  load('//platform.twitter.com/widgets.js', 'tweetjs');
	});
	jQuery('span.linkedinbtn').exists(function() {
	  load('//platform.linkedin.com/in.js', 'linkedinjs');
	});
	jQuery('span.pinbtn').exists(function() {
	  load('//assets.pinterest.com/js/pinit.js', 'pinterestjs');
	});
	}(document, 'script'));
});




/*----------------------------------------------------
/* Animate counter numbers
/*--------------------------------------------------*/
(function($) {
    $.fn.animateNumbers = function(stop, commas, duration, ease) {
        return this.each(function() {
            var $this = $(this);
            var start = parseInt($this.text().replace(/,/g, ""));
commas = (commas === undefined) ? true : commas;
            $({value: start}).animate({value: stop}, {
             duration: duration == undefined ? 1000 : duration,
             easing: ease == undefined ? "swing" : ease,
             step: function() {
             $this.text(Math.floor(this.value));
if (commas) { $this.text($this.text().replace(/(\d)(?=(\d\d\d)+(?!\d))/g, "$1,")); }
             },
             complete: function() {
             if (parseInt($this.text()) !== stop) {
             $this.text(stop);
if (commas) { $this.text($this.text().replace(/(\d)(?=(\d\d\d)+(?!\d))/g, "$1,")); }
             }
             }
            });
        });
    };
})(jQuery);


/*----------------------------------------------------
/* Testimonial
/*--------------------------------------------------*/
jQuery(document).ready(function() {
    jQuery(".testimonials-authors li:first-child").addClass('active-testimonial');
    var e = jQuery(".mts-testimonial"),el = jQuery(".mts-testimonial:first-child"), t = jQuery(".testimonials-authors li");
    el.css({display: "block",opacity: 1});
    t.hover(function() {
        var t = jQuery(this), n = "active-testimonial", r = t.index(), i = t.siblings("." + n).index();
        if (t.hasClass(n))
            return;
          el.css({display: "block",opacity: 0});
        t.siblings("li").removeClass(n).end().addClass(n);
        e.eq(i).stop(true, true).animate({opacity: 0}, 100, function() {
            jQuery(this).hide();
            e.eq(r).css({display: "block",opacity: 0}).animate({opacity: 1}, 100)
        })
    })
});

jQuery(document).ready(function() {
  jQuery('.widget_recent_entries li').append('<i class="widget_recent fa fa-angle-right"></i>');
});

/*----------------------------------------------------
/* Pie Chart Plugin
/*--------------------------------------------------*/

!function(a,b){"object"==typeof exports?module.exports=b(require("jquery")):"function"==typeof define&&define.amd?define(["jquery"],b):b(a.jQuery)}(this,function(a){var b=function(a,b){var c,d=document.createElement("canvas");a.appendChild(d),"undefined"!=typeof G_vmlCanvasManager&&G_vmlCanvasManager.initElement(d);var e=d.getContext("2d");d.width=d.height=b.size;var f=1;window.devicePixelRatio>1&&(f=window.devicePixelRatio,d.style.width=d.style.height=[b.size,"px"].join(""),d.width=d.height=b.size*f,e.scale(f,f)),e.translate(b.size/2,b.size/2),e.rotate((-0.5+b.rotate/180)*Math.PI);var g=(b.size-b.lineWidth)/2;b.scaleColor&&b.scaleLength&&(g-=b.scaleLength+2),Date.now=Date.now||function(){return+new Date};var h=function(a,b,c){c=Math.min(Math.max(-1,c||0),1);var d=0>=c?!0:!1;e.beginPath(),e.arc(0,0,g,0,2*Math.PI*c,d),e.strokeStyle=a,e.lineWidth=b,e.stroke()},i=function(){var a,c;e.lineWidth=1,e.fillStyle=b.scaleColor,e.save();for(var d=24;d>0;--d)d%6===0?(c=b.scaleLength,a=0):(c=.6*b.scaleLength,a=b.scaleLength-c),e.fillRect(-b.size/2+a,0,c,1),e.rotate(Math.PI/12);e.restore()},j=function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||function(a){window.setTimeout(a,1e3/60)}}(),k=function(){b.scaleColor&&i(),b.trackColor&&h(b.trackColor,b.lineWidth,1)};this.getCanvas=function(){return d},this.getCtx=function(){return e},this.clear=function(){e.clearRect(b.size/-2,b.size/-2,b.size,b.size)},this.draw=function(a){b.scaleColor||b.trackColor?e.getImageData&&e.putImageData?c?e.putImageData(c,0,0):(k(),c=e.getImageData(0,0,b.size*f,b.size*f)):(this.clear(),k()):this.clear(),e.lineCap=b.lineCap;var d;d="function"==typeof b.barColor?b.barColor(a):b.barColor,h(d,b.lineWidth,a/100)}.bind(this),this.animate=function(a,c){var d=Date.now();b.onStart(a,c);var e=function(){var f=Math.min(Date.now()-d,b.animate.duration),g=b.easing(this,f,a,c-a,b.animate.duration);this.draw(g),b.onStep(a,c,g),f>=b.animate.duration?b.onStop(a,c):j(e)}.bind(this);j(e)}.bind(this)},c=function(a,c){var d={barColor:"#3498db",trackColor:"#e8e8e8",scaleColor:"#ffffff",scaleLength:1,lineCap:"solid",lineWidth:15,size:100,rotate:180,animate:{duration:1e3,enabled:!0},easing:function(a,b,c,d,e){return b/=e/2,1>b?d/2*b*b+c:-d/2*(--b*(b-2)-1)+c},onStart:function(){},onStep:function(){},onStop:function(){}};if("undefined"!=typeof b)d.renderer=b;else{if("undefined"==typeof SVGRenderer)throw new Error("Please load either the SVG- or the CanvasRenderer");d.renderer=SVGRenderer}var e={},f=0,g=function(){this.el=a,this.options=e;for(var b in d)d.hasOwnProperty(b)&&(e[b]=c&&"undefined"!=typeof c[b]?c[b]:d[b],"function"==typeof e[b]&&(e[b]=e[b].bind(this)));e.easing="string"==typeof e.easing&&"undefined"!=typeof jQuery&&jQuery.isFunction(jQuery.easing[e.easing])?jQuery.easing[e.easing]:d.easing,"number"==typeof e.animate&&(e.animate={duration:e.animate,enabled:!0}),"boolean"!=typeof e.animate||e.animate||(e.animate={duration:1e3,enabled:e.animate}),this.renderer=new e.renderer(a,e),this.renderer.draw(f),a.dataset&&a.dataset.percent?this.update(parseFloat(a.dataset.percent)):a.getAttribute&&a.getAttribute("data-percent")&&this.update(parseFloat(a.getAttribute("data-percent")))}.bind(this);this.update=function(a){return a=parseFloat(a),e.animate.enabled?this.renderer.animate(f,a):this.renderer.draw(a),f=a,this}.bind(this),this.disableAnimation=function(){return e.animate.enabled=!1,this},this.enableAnimation=function(){return e.animate.enabled=!0,this},g()};a.fn.easyPieChart=function(b){return this.each(function(){var d;a.data(this,"easyPieChart")||(d=a.extend({},b,a(this).data()),a.data(this,"easyPieChart",new c(this,d)))})}});

